aboutsummaryrefslogtreecommitdiffstats
path: root/remove_info_dir
diff options
context:
space:
mode:
Diffstat (limited to 'remove_info_dir')
-rwxr-xr-xremove_info_dir12
1 files changed, 12 insertions, 0 deletions
diff --git a/remove_info_dir b/remove_info_dir
new file mode 100755
index 0000000..ae21fcb
--- /dev/null
+++ b/remove_info_dir
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+INFODIR=`rpm --eval %{_infodir}/dir`
+
+test -n "$RPM_BUILD_ROOT" || exit 0
+
+dir="$RPM_BUILD_ROOT/$INFODIR"
+
+if test -z "$DONT_REMOVE_INFO_DIR" -a -f $dir -a ! -L $dir; then
+ rm -f $dir
+fi
+